@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');

*{
    box-sizing: border-box;
}

body{
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: 'Poppins', sans-serif;
    margin: 0;
    min-height: 100vh;
}

button{
    background-color: black;
    border: none;
    color: white;
    position: fixed;
    top: 20px;
    right: 20px;
    padding: 1rem;
    cursor: pointer;
    transition: transform 0.3s ease-in-out;
}
button:hover{
    color:goldenrod;

}

button.active{
    transform: translateX(-165px);
}

nav{
    background-color: black;
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    padding: 2rem;
    transform: translateX(100%);
    transition: transform 0.3s ease-in-out;

}

nav.active{
    transform: translateX(0);
}

nav ul{
    padding: 0;
    list-style-type: none;
    margin: 0;

}

nav ul li{
    padding: 1rem 0;
}

nav a{
    text-decoration: none;
    color: white;
}

nav a:hover{
    color:goldenrod;
}